---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51C70, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53BB0, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53FA0, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54F40, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54F50, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51790, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51794, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51798, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x518F0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x519A8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x519AC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x519B0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x519B4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x519B8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x519C0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x519D0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x519D8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x519E0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x519E8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x519F0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x519F8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51A40, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL16watch_ev_monitor, symObjAddr: 0x51A48, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL18watch_jvmti_events, symObjAddr: 0x51A50, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL26number_of_generated_events, symObjAddr: 0x51A54, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51A58, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51A68, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x917C, offset: 0x917C, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51A70, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91CE, offset: 0x91CE, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x30E0, symSize: 0x80 }
  - { offsetInCU: 0x9263, offset: 0x9263, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3030, symSize: 0xB0 }
  - { offsetInCU: 0x92BE, offset: 0x92BE, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2F30, symSize: 0x100 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3160, symSize: 0xC0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3220, symSize: 0x220 }
  - { offsetInCU: 0x9788, offset: 0x9788, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3440, symSize: 0xA0 }
  - { offsetInCU: 0x983B, offset: 0x983B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x34E0, symSize: 0x110 }
  - { offsetInCU: 0x9931, offset: 0x9931, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x35F0, symSize: 0x150 }
  - { offsetInCU: 0x9A8E, offset: 0x9A8E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3740, symSize: 0x30 }
  - { offsetInCU: 0x9B9B, offset: 0x9B9B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3770, symSize: 0x150 }
  - { offsetInCU: 0x9D93, offset: 0x9D93, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x38C0, symSize: 0x160 }
  - { offsetInCU: 0xA053, offset: 0xA053, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3A20, symSize: 0x4A0 }
  - { offsetInCU: 0xA2C6, offset: 0xA2C6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3EC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA4E1, offset: 0xA4E1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4070, symSize: 0xA0 }
  - { offsetInCU: 0xA5B0, offset: 0xA5B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4110, symSize: 0x20 }
  - { offsetInCU: 0xA5E7, offset: 0xA5E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4130, symSize: 0x20 }
  - { offsetInCU: 0xA61E, offset: 0xA61E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4150, symSize: 0x20 }
  - { offsetInCU: 0xA811, offset: 0xA811, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4170, symSize: 0x1A0 }
  - { offsetInCU: 0xAB2D, offset: 0xAB2D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4310, symSize: 0x130 }
  - { offsetInCU: 0xACDD, offset: 0xACDD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4440, symSize: 0x80 }
  - { offsetInCU: 0xADA6, offset: 0xADA6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x44C0, symSize: 0x6A0 }
  - { offsetInCU: 0xB93B, offset: 0xB93B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA8C0, symBinAddr: 0x5F10, symSize: 0xB0 }
  - { offsetInCU: 0xB9B2, offset: 0xB9B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4B60, symSize: 0x70 }
  - { offsetInCU: 0xBAA6, offset: 0xBAA6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4BD0, symSize: 0xA0 }
  - { offsetInCU: 0xBBFD, offset: 0xBBFD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4C70, symSize: 0x40 }
  - { offsetInCU: 0xBCF3, offset: 0xBCF3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4CB0, symSize: 0x2B0 }
  - { offsetInCU: 0xC099, offset: 0xC099, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4F60, symSize: 0xC0 }
  - { offsetInCU: 0xC1DF, offset: 0xC1DF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5020, symSize: 0x10 }
  - { offsetInCU: 0xC2A1, offset: 0xC2A1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5030, symSize: 0x220 }
  - { offsetInCU: 0xC59E, offset: 0xC59E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5250, symSize: 0x10 }
  - { offsetInCU: 0xC5FB, offset: 0xC5FB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5260, symSize: 0x380 }
  - { offsetInCU: 0xC9D7, offset: 0xC9D7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F90, symBinAddr: 0x55E0, symSize: 0x10 }
  - { offsetInCU: 0xCA34, offset: 0xCA34, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0x9FA0, symBinAddr: 0x55F0, symSize: 0x70 }
  - { offsetInCU: 0xCAFB, offset: 0xCAFB, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xA010, symBinAddr: 0x5660, symSize: 0x440 }
  - { offsetInCU: 0xD0A9, offset: 0xD0A9, size: 0x8, addend: 0x0, symName: _suspendThread, symObjAddr: 0xA450, symBinAddr: 0x5AA0, symSize: 0xE0 }
  - { offsetInCU: 0xD18E, offset: 0xD18E, size: 0x8, addend: 0x0, symName: _resThread, symObjAddr: 0xA530, symBinAddr: 0x5B80, symSize: 0xE0 }
  - { offsetInCU: 0xD2AB, offset: 0xD2AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe005_doPopFrame, symObjAddr: 0xA610, symBinAddr: 0x5C60, symSize: 0x2B0 }
  - { offsetInCU: 0xD62E, offset: 0xD62E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA970, symBinAddr: 0x5FC0, symSize: 0x36A }
...
